# Class default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:16

#####
Index

### Constructors

constructor

### Properties

_loop$
db
ipfsNode
isInitialized$
particlesResolver
statusApi

### Accessors

loop$

### Methods

start
syncPins

## Constructors

### constructor

- new default(deps, particlesResolver): default

- #### Parameters

  - deps: ServiceDeps
  - particlesResolver: default

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:33

## Properties

### `Private` _loop$

_loop$: Observable<any>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:27

### `Private` db

db: default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:19

### `Private` ipfsNode

ipfsNode: CybIpfsNode

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:21

### `Private` isInitialized$

isInitialized$: Observable<boolean>

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:17

### `Private` particlesResolver

particlesResolver: default

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:23

### `Private` statusApi

statusApi: {
sendStatus: ((status, message?) => void);
} = ...

#### Type declaration

- ##### sendStatus: ((status, message?) => void)

  - - (status, message?): void

    - #### Parameters

      - status: "error" | "idle" | "in-progress"
      - `Optional` message: string

      #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:25

## Accessors

### loop$

- get loop$(): Observable<any>

- #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:29

## Methods

### start

- start(): default

- #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:58

### `Private` syncPins

- syncPins(): Promise<void>

- #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/SyncIpfsLoop/SyncIpfsLoop.ts:74